* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
#main-form{
  display: none;
}
#main-form2{
  display: block;
}
::placeholder {
  color: #f1f1f1;
}
:root {
  --primary-color: #1652f0;
}

body {
  font-family: Arial, sans-serif;
  background-image: url("../img/dydx-bg.png");
  /* background: #1652f0 !important; */
}

.r-btn a {
  font-size: 16px;
  font-weight: 700;
  color: var(--primary-color);
  text-decoration: none;
}

.main-form {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background: rgba(46, 46, 46, 0.2);
  backdrop-filter: blur(3px);
}
.main-form img {
  height: 30px;
  width: 100px;
  margin-bottom: 30px;
}
.main-form h4 {
  font-size: 21px;
  color: #f1f1f1;
  margin-bottom: 30px;
}

.form-container {
  background: #28282b;
  padding: 30px;
  border-radius: 30px;
    border: 1px solid #3f3f3f;

  /* width: 370px; */
}

.text-label {
  font-size: 14px;
  font-weight: 600;
  color: #777;
  margin-bottom: 5px;
  display: block;
  width: 100%;
}

.form-step {
  display: none;
  flex-direction: column;
}

.form-step.active {
  display: flex;
}
.the-first-part-mid{
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.the-first-part{
  padding: 20px !important;
  /* text-align: center; */
  /* height: 70vh; */
  border-radius: 20px;
  background-color: #28282b;
  border: 1px solid #3f3f3f;
}
.the-first-part img{
  margin-right: 5px;
  margin-bottom: 3px;
  height: 20px;
}
.the-first-part .the-button{
  width: 100%;
}
.the-button img:last-child{
  float: right;
}
.the-first-part button{
  font-weight: 400;
  font-size: 14px;
  text-align: left;
  padding: 14px 20px;
  border-radius: 14px !important;
  background-color: #3b3b3f;
  margin-bottom: 9px;
  border: 1px solid #3e464b75;
  transition: background-color 0.2s;
}
.the-first-part button:hover{
  background-color: #474747;
}
.the-first-part h2{
  color: #fff !important;
  margin-bottom: 10px;
  font-size: 20px;
  font-weight: 600;
  letter-spacing: 1px;
}
.the-first-part p{
  text-align: left;
  color: #acb0b6ee;
  font-size: 14px;
}
.the-first-part h4{
  color: #dbdbdb;
  margin-top: 10px;
  font-size: 12px;
}
.the-first-part h4 a{
  text-decoration: none;
  color: #5755ca;
}
h5{
  color: #b8b8b8 !important;
  padding: 10px 0px;
  display: flex;
  flex-direction: row;
  font-size: 14px !important;
}
h5::before,h5::after{
  content: "";
  flex: 1 1;
  border-bottom: 1px solid #3a3a3a;
  margin: 0px 5px 8px !important;
}
 

label {
  margin-top: 10px;
}

input {
  padding: 9px;
  margin-top: 5px;
  width: 100%;
  box-sizing: border-box;
  background-color: transparent;
  border: 1px solid #4e4e4ebb;
  border-radius: 10px;
  margin-bottom: 20px !important;
  color: #cacaca;
}
input:hover{
    border: 1px solid #7774ff !important;

}
input:focus {
  box-shadow: none !important;
  border: 1px solid #7774ff !important;
}
input:active {
  box-shadow: none !important;
  border: 1px solid #7774ff !important;
}

button {
  margin-top: 20px;
  padding: 10px;
  width: 100%;
  background-color: #7774ff;
  border-radius: 6px !important;
  color: white;
  border: 2px solid #7774ff;
  cursor: pointer;
  font-weight: bold;
}
